Increase timeout for removal

Under certain environments, this timeout was causing failures
because it was too short. Increasing to 10, to give time to
perform the specified tasks.

Change-Id: I01dd3553f38e1137b2fcb04b4ee12202be3ad1a8
This commit is contained in:
Yolanda Robla 2017-08-11 16:28:14 +02:00
parent e04cf78fa5
commit 81f495ad00
2 changed files with 2 additions and 2 deletions

View File

@ -193,7 +193,7 @@ function kill_chroot_processes () {
}
function cleanup_build_dir () {
if ! timeout 5 sh -c " while ! sudo rm -rf $TMP_BUILD_DIR/built; do sleep 1; done"; then
if ! timeout 10 sh -c " while ! sudo rm -rf $TMP_BUILD_DIR/built; do sleep 1; done"; then
echo "ERROR: unable to cleanly remove $TMP_BUILD_DIR/built"
exit 1
fi

View File

@ -95,7 +95,7 @@ function run_d_in_target () {
trap - ERR
check_break after-$1 run_in_target bash
sudo umount -f $TMP_MOUNT_PATH/tmp/in_target.d
if ! timeout 5 sh -c " while ! sudo rmdir $TMP_MOUNT_PATH/tmp/in_target.d; do sleep 1; done"; then
if ! timeout 10 sh -c " while ! sudo rmdir $TMP_MOUNT_PATH/tmp/in_target.d; do sleep 1; done"; then
echo "ERROR: unable to cleanly remove $TMP_MOUNT_PATH/tmp/in_target.d"
exit 1
fi